# Network

A collection of ready-to-use configuration to the most common networks and a function set your own custom configuration.

| Item      | Description                                                                          |
| --------- | ------------------------------------------------------------------------------------ |
| TestNet   | Standard configuration parameters to connect and interact with the Stellar testnet   |
| FutureNet | Standard configuration parameters to connect and interact with the Stellar futurenet |
| MainNet   | Standard configuration parameters to connect and interact with the Stellar mainnet   |
| CustomNet | A function to build you own configuration object                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cheesecakelabs.com/stellar-plus/reference/constants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
